[PATCH 1/1] Attempt to find qmake-qt5 and qmake-qt4 if no "qmake" is found in $PATH

From: Thiago Macieira
Date: Sun Nov 01 2015 - 22:12:53 EST


The Qt Project recommendation is that there should always be a "qmake"
binary and it should never be renamed. If it's necessary to handle
multiple Qt versions, the Qt Project recommends using qtchooser.

Unfortunately, some distros do not follow the recommendation, so we need
to test different possibilities...

Signed-off-by: Thiago Macieira <thiago.macieira@xxxxxxxxx>
---
scripts/kconfig/Makefile | 4 +++-
1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/scripts/kconfig/Makefile b/scripts/kconfig/Makefile
index 33c4994..0511557 100644
--- a/scripts/kconfig/Makefile
+++ b/scripts/kconfig/Makefile
@@ -227,7 +227,9 @@ $(obj)/.tmp_qtcheck: $(src)/Makefile
# Qt needs some extra effort...
$(obj)/.tmp_qtcheck:
@set -e; $(kecho) " CHECK qt"; \
- qtver=`qmake -query QT_VERSION` || { \
+ qtver=`qmake -query QT_VERSION` || \
+ qtver=`qmake-qt5 -query QT_VERSION` || \
+ qtver=`qmake-qt4 -query QT_VERSION` || { \
echo >&2 "*"; \
echo >&2 "* qmake failed."; \
echo >&2 "*"; \
--
2.6.2


--nextPart7092456.7SHRv1n29T--

--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/